Subject: Re: [PATCH 2/2] net: Implement SO_PASSCGROUP to enable passing cgroup path

From: Vivek Goyal <[email-masked]>
Date: Thu, 17 Apr 2014 09:41:23 -0400

On Wed, Apr 16, 2014 at 01:24:32PM -0700, Andy Lutomirski wrote:

[..]
> I'm not talking about the risk that someone learns someone's cgroup.
> I'm talking about the risk that a malicious program can get a lot
> entry like: "whatever planted text"
> _SYSTEMD_UNIT=non-malicious.service.  That is, they've spoofed a log
> line.
> 
> If you don't care about spoofing of log lines, then there's no point
> to having the kernel validate them anyway.

What's wrong with this. A message came from a cgroup which maps to
a unit xyz and it got logged.  I can't see what's wrong here.

Anyway that message will get logged with unit information. These patches
will just make getting unit information race free and more reliable.

Thansk
Vivek